﻿<?xml version="1.0" encoding="UTF-8"?>
<match_rules>
    <description>
        "feature bit X
            1 is enable
            0 is disable
                bit 0   EFEATURE_AFT,                   防误触
                    1   EFEATURE_UD_FP,                 屏下指纹 或 Sensorhub
                    2   EFEATURE_SENSORMONITOR,         传感器数据
                    3   EFEATURE_BLUETOOTHPEN,          蓝牙笔hpp3.x
                    4   EFEATURE_UPDATEFW,              长时间IC固件升级
                    5   EFEATURE_FP_AUXILIARY,          指纹防伪
                    6   EFEATURE_MULTI_FREQ_NOISE,      多频点检测
                    7   EFEATURE_PROXIMITY,             TP替代接近光
                    8   EFEATURE_FOLD_2_TX,             Tx左右分开走线。
                    9   EFEATURE_LASER,                 激光雷达校准数据
                    10  EFEATURE_DAE_V3,                默认启动thp_v3
                    11  EFEATURE_CPU_AFFINITY           默认绑定小核CPU
                    12  EFEATURE_CHARGER_ON_LINE        默认开启充电器抗干扰
                    13  EFEATURE_STORAGE                开启保存数据至oeminfo或文件系统
                    14  EFEATURE_CLOCK                  支持切换RC及外部晶振
                    15  EFEATURE_FP_MAXDIFF             支持指纹MaxDiff数据
                    16  EFEATURE_LOG_NO_LIMIT           支持LOG日志无限制
                    17  EFEATURE_SODS                   支持灭屏时停止手写笔 screen off disable stylus
            format : Decimal/Hex/bin are ok
                e.g. : 255 is the same as 0xff
        "
    </description>
    <version_info>
        <latest_update_time>2023.6.5</latest_update_time>
    </version_info>
    <series>
        <series_target>P_Series</series_target>
        <rule>
            <target>P361B61300</target>
            <method>starts_with</method>
            <feature>0xC85e</feature>
            <inspect_mask>0x0</inspect_mask>
            <source>
                <item>P361B6</item>
            </source>
        </rule>
        <rule>
            <target>P361BB1300</target>
            <method>starts_with</method>
            <feature>0xC85e</feature>
            <source>
                <item>P361BB</item>
            </source>
        </rule>
        <rule>
            <target>P362BB1300</target>
            <method>starts_with</method>
            <feature>0xC85e</feature>
            <source>
                <item>P362BB</item>
            </source>
        </rule>
        <rule>
            <target>P361BC1300</target>
            <method>starts_with</method>
            <feature>0xC85e</feature>
            <source>
                <item>P361BC</item>
            </source>
        </rule>
        <rule>
            <target>PEVEAZ3200</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>PEVEAZ</item>
            </source>
        </rule>
        <rule>
            <target>PEVE803600</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>PEVE80</item>
            </source>
        </rule>        
        <rule>
            <target>P375BC1300</target>
            <method>starts_with</method>
            <feature>0xC85a</feature>
            <source>
                <item>P375BC</item>
            </source>
        </rule>
        <rule>
            <target>P374B01300</target>
            <method>starts_with</method>
            <feature>0xC85a</feature>
            <source>
                <item>P374B0</item>
            </source>
        </rule>
        <rule>
            <target>P382B71300</target>
            <method>starts_with</method>
            <feature>0xC85a</feature>
            <source>
                <item>P382B7</item>
            </source>
        </rule>
        <rule>
            <target>P2439X1300</target>
            <method>starts_with</method>
            <feature>0x15c</feature>
            <source>
                <item>P2439X</item>
            </source>
        </rule>
        <rule>
            <target>P115930900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P11593</item>
            </source>
        </rule>
        <rule>
            <target>P149931300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P14993</item>
            </source>
        </rule>
        <rule>
            <target>P150921000</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P15092</item>
            </source>
        </rule>
        <rule>
            <target>P150931000</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P15093</item>
            </source>
        </rule>
        <rule>
            <target>P116920900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P11692</item>
            </source>
        </rule>
        <rule>
            <target>P116930900</target>
            <pid>P116930900</pid>
            <method>match</method>
            <feature>0x72</feature>
            <source>
                <item>P116932900</item>
            </source>
        </rule>
        <rule>
            <target>P116930900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P11693</item>
            </source>
        </rule>
        <rule>
            <target>P116940900</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>P11694</item>
            </source>
        </rule>
        <rule>
            <target>P1679R1300</target>
            <method>starts_with</method>
            <feature>0x74</feature>
            <inspect_mask>0xB8</inspect_mask>
            <source>
                <item>P1679R</item>
            </source>
        </rule>
        <rule>
            <target>P167AT1300</target>
            <method>starts_with</method>
            <feature>0x7c</feature>
            <inspect_mask>0xB8</inspect_mask>
            <source>
                <item>P167AT</item>
            </source>
        </rule>
        <rule>
            <target>P1679X1301</target>
            <method>starts_with</method>
            <feature>0x74</feature>
            <inspect_mask>0xB8</inspect_mask>
            <source>
                <item>P1679X</item>
            </source>
        </rule>
        <rule>
            <target>P168921300</target>
            <method>starts_with</method>
            <feature>0x74</feature>
            <source>
                <item>P168</item>
            </source>
        </rule>
        <rule>
            <target>P172921300</target>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>P17292</item>
            </source>
        </rule>
        <rule>
            <target>P1729S1300</target>
            <method>starts_with</method>
            <feature>0x7c</feature>
            <source>
                <item>P1729S</item>
            </source>
        </rule>
        <rule>
            <target>P173921300</target>
            <method>starts_with</method>
            <feature>0x7a</feature>
            <source>
                <item>P17392</item>
            </source>
        </rule>
        <rule>
            <target>P1739S1300</target>
            <method>starts_with</method>
            <feature>0x7a</feature>
            <source>
                <item>P1739S</item>
            </source>
        </rule>
        <rule>
            <target>P085780900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P08578</item>
            </source>
        </rule>
        <rule>
            <target>P086781300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P08678</item>
            </source>
        </rule>
        <rule>
            <target>P174620800</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P17462</item>
            </source>
        </rule>
        <rule>
            <target>P1749Y1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P1749Y</item>
            </source>
        </rule>
        <rule>
            <target>P1749Y1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>P1749Y</item>
            </source>
        </rule>
        <rule>
            <target>P2129S1300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P2129S</item>
            </source>
        </rule>
        <rule>
            <target>P212A31300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P212A3</item>
            </source>
        </rule>
        <rule>
            <target>P212AL1300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P212AL</item>
            </source>
        </rule>
        <rule>
            <target>P2139S1300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P2139S</item>
            </source>
        </rule>
        <rule>
            <target>P213A31300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>P213A3</item>
            </source>
        </rule>
        <rule>
            <target>P309A32900</target>
            <method>starts_with</method>
            <feature>0x8852</feature>
            <source>
                <item>P309A3</item>
            </source>
        </rule>
        <rule>
            <target>P309AL1312</target>
            <method>starts_with</method>
            <feature>0x8852</feature>
            <source>
                <item>P309AL</item>
            </source>
        </rule>
        <rule>
            <target>P2269M1100</target>
            <pid>P2269M1300</pid>
            <method>starts_with</method>
            <feature>0x470</feature>
            <source>
                <item>P2269M130</item>
            </source>
        </rule>
        <rule>
            <target>P2269M1100</target>
            <pid>P2269M1100</pid>
            <method>starts_with</method>
            <feature>0x470</feature>
            <source>
                <item>P2269M110</item>
            </source>
        </rule>
        <rule>
            <target>POTR771100</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>POTR771300</item>
                <item>POTR771700</item>
            </source>
        </rule>
        <rule>
            <target>POTR691100</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>POTR691300</item>
                <item>POTR690300</item>
            </source>
        </rule>
        <rule>
            <target>P265A31300</target>
            <method>starts_with</method>
            <feature>0x274</feature>
            <source>
                <item>P265A3</item>
            </source>
        </rule>
        <rule>
            <target>P2659S1300</target>
            <method>starts_with</method>
            <feature>0x274</feature>
            <source>
                <item>P2659S</item>
            </source>
        </rule>
        <rule>
            <target>P266A11300</target>
            <method>starts_with</method>
            <feature>0x274</feature>
            <source>
                <item>P266</item>
            </source>
        </rule>
        <rule>
            <target>P252A31300</target>
            <method>starts_with</method>
            <feature>0x85a</feature>
            <source>
                <item>P252A3</item>
            </source>
        </rule>
        <rule>
            <target>P252AL1300</target>
            <method>starts_with</method>
            <feature>0x85a</feature>
            <source>
                <item>P252AL</item>
            </source>
        </rule>
        <rule>
            <target>P253A31300</target>
            <method>starts_with</method>
            <feature>0x85a</feature>
            <source>
                <item>P253A3</item>
            </source>
        </rule>
        <rule>
            <!-- AL is not used anymore -->
            <target>P253A31300</target>
            <pid>P253A31310</pid>
            <method>match</method>
            <feature>0x85a</feature>
            <source>
                <item>P253AL1321</item>
            </source>
        </rule>
        <rule>
            <target>P253AL1300</target>
            <method>starts_with</method>
            <feature>0x85a</feature>
            <source>
                <item>P253AL</item>
            </source>
        </rule>
        <rule>
            <target>P317AT1300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <source>
                <item>P317AT</item>
            </source>
        </rule>
        <rule>
            <target>P318A31300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <source>
                <item>P318A3</item>
                <item>P350A3</item>
                <item>P357A3</item>
            </source>
        </rule>
        <rule>
            <target>P317AT1300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <inspect_mask>0xDE</inspect_mask>
            <source>
                <item>P315AT13</item>
            </source>
        </rule>
        <rule>
            <target>P317AT1300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <source>
                <item>P315AT29</item>
            </source>
        </rule>
        <rule>
            <target>P315B71300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <source>
                <item>P315B7</item>
            </source>
        </rule>
        <rule>
            <target>P350B61300</target>
            <method>starts_with</method>
            <feature>0x405c</feature>
            <source>
                <item>P350B6</item>
            </source>
        </rule>
        <rule>
            <target>POTR771100</target>
            <method>match</method>
            <feature>0x7f</feature>
            <source>
                <item>POTR771300</item>
                <item>POTR771700</item>
            </source>
        </rule>
        <rule>
            <target>POTR691100</target>
            <method>match</method>
            <feature>0x7f</feature>
            <source>
                <item>POTR691300</item>
                <item>POTR690300</item>
            </source>
        </rule>
        <rule>
            <target>P085780900</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>P08578</item>
            </source>
        </rule>
        <rule>
            <target>P086781300</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>P08678</item>
            </source>
        </rule>
        <rule>
            <target>P327AQ1110</target>
            <pid>P327AQ1110</pid>
            <method>match</method>
            <feature>0x90</feature>
            <source>
                <item>P327AQ1110</item>
            </source>
        </rule>
        <rule>
            <target>P327A53200</target>
            <pid>P327A53200</pid>
            <method>match</method>
            <feature>0x90</feature>
            <source>
                <item>P327A53200</item>
            </source>
        </rule>
        <rule>
            <target>P327A53200</target>
            <pid>P327A52700</pid>
            <method>match</method>
            <feature>0x90</feature>
            <source>
                <item>P327A52700</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>B_Series</series_target>
        <rule>
            <target>B179930900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B17993</item>
            </source>
        </rule>
        <rule>
            <target>B121691100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B12169</item>
            </source>
        </rule>
        <rule>
            <target>B121681400</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B12168</item>
            </source>
        </rule>
        <rule>
            <target>B121771400</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B12177</item>
            </source>
        </rule>
        <rule>
            <target>B146691100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B14669</item>
            </source>
        </rule>
        <rule>
            <target>B146681400</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B14668</item>
            </source>
        </rule>
        <rule>
            <target>B146771400</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B14677</item>
            </source>
        </rule>
        <rule>
            <target>B165961100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B16596</item>
            </source>
        </rule>
        <rule>
            <target>B165771300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B16577</item>
            </source>
        </rule>
        <rule>
            <target>B166961100</target>
            <pid>B166961100</pid>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B16696</item>
            </source>
        </rule>
        <rule>
            <target>B166771300</target>
            <pid>B166961100</pid>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B16677</item>
            </source>
        </rule>
        <rule>
            <target>B177931300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B17793</item>
            </source>
        </rule>
        <rule>
            <target>B177922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B17792</item>
            </source>
        </rule>
        <rule>
            <target>B206922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20692</item>
            </source>
        </rule>
        <rule>
            <target>B2069S1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B2069S</item>
            </source>
        </rule>
        <rule>
            <target>B183771100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B18377</item>
            </source>
        </rule>
        <rule>
            <target>B183681300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B18368</item>
            </source>
        </rule>
        <rule>
            <target>B196931300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B19693</item>
            </source>
        </rule>
        <rule>
            <target>B196922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B19692</item>
            </source>
        </rule>
        <rule>
            <target>B205922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20592</item>
            </source>
        </rule>
        <rule>
            <target>B2059S1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B2059S</item>
            </source>
        </rule>
        <rule>
            <target>B20Y922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20Y92</item>
            </source>
        </rule>
        <rule>
            <target>B20Y9S1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20Y9S</item>
            </source>
        </rule>
        <rule>
            <target>B20A922900</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20A92</item>
            </source>
        </rule>
        <rule>
            <target>B20A9S1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>B20A9S</item>
            </source>
        </rule>
        <rule>
            <target>B233922900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B23392</item>
            </source>
        </rule>
        <rule>
            <target>B233AL1300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B233AL</item>
            </source>
        </rule>
        <rule>
            <target>B2339S2900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B2339S</item>
            </source>
        </rule>
        <rule>
            <target>B235922900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B23592</item>
            </source>
        </rule>
        <rule>
            <target>B2359S2900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B2359S</item>
            </source>
        </rule>
    <rule>
            <target>B311A31300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B311A3</item>
            </source>
        </rule>
        <rule>
            <target>B312A31300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B312A3</item>
            </source>
        </rule>
        <rule>
            <target>B365921300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B365A3</item>
            </source>
        </rule>
        <rule>
            <target>B365921300</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B36592</item>
            </source>
        </rule>
        <rule>
            <target>B365B42900</target>
            <method>starts_with</method>
            <feature>0x72</feature>
            <source>
                <item>B365B4</item>
        </source>
        </rule>
        <rule>
            <target>B389BC1300</target>
            <method>starts_with</method>
            <feature>0x472</feature>
            <source>
                <item>B389BC</item>
            </source>
        </rule>
        <rule>
            <target>B389C02700</target>
            <method>starts_with</method>
            <feature>0x472</feature>
            <source>
                <item>B389C0</item>
            </source>
        </rule>
        <rule>
            <target>B394921300</target>
            <method>starts_with</method>
            <feature>0x472</feature>
            <source>
                <item>B394A3</item>
            </source>
        </rule>
        <rule>
            <target>B394921300</target>
            <method>starts_with</method>
            <feature>0x472</feature>
            <source>
                <item>B39492</item>
            </source>
        </rule>
        <rule>
            <target>B394B42900</target>
            <method>starts_with</method>
            <feature>0x472</feature>
            <source>
                <item>B394B4</item>
            </source>
        </rule>
        <rule>
            <target>B165961100</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>B16596</item>
            </source>
        </rule>
        <rule>
            <target>B165771300</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>B16577</item>
            </source>
        </rule>
        <rule>
            <target>B166961100</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>B16696</item>
            </source>
        </rule>
        <rule>
            <target>B166771300</target>
            <method>starts_with</method>
            <feature>0x7f</feature>
            <source>
                <item>B16677</item>
            </source>
        </rule>
        <rule>
            <target>B2429M1100</target>
            <pid>B2429M1300</pid>
            <method>match</method>
            <feature>0xD0</feature>
            <source>
                <item>B2429M1300</item>
            </source>
        </rule>
        <rule>
            <target>B2429M1100</target>
            <pid>B2429M1100</pid>
            <method>match</method>
            <feature>0xD0</feature>
            <source>
                <item>B2429M1100</item>
            </source>
        </rule>
        <rule>
            <target>B242AM1100</target>
            <pid>B242AM1100</pid>
            <method>match</method>
            <feature>0xD0</feature>
            <source>
                <item>B242AM1100</item>
            </source>
        </rule>
        <rule>
            <target>B313A32900</target>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>B313A3</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>S_Series</series_target>
        <rule>
            <target>STAK772700</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>STAK77</item>
            </source>
        </rule>
        <rule>
            <target>STAK691300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>STAK69</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>W_Series</series_target>
        <rule>
            <target>W358AX1100</target>
            <pid>W358AX1100</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W358AX1100</item>
            </source>
        </rule>
        <rule>
            <target>W358AX1300</target>
            <pid>W358AX1300</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W358AX1300</item>
            </source>
        </rule>
        <rule>
            <target>W347AV1200</target>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>W347AV</item>
            </source>
        </rule>
        <rule>
            <target>W3479Q1300</target>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>W3479Q</item>
            </source>
        </rule>
        <rule>
            <target>W157AI1500</target>
            <method>starts_with</method>
            <feature>0x207c</feature>
            <source>
                <item>W157AI</item>
            </source>
        </rule>
        <rule>
            <target>W300AQ1100</target>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>W300AQ</item>
            </source>
        </rule>
        <rule>
            <target>W300AR2700</target>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>W300AR</item>
            </source>
        </rule>
        <rule>
            <target>W291AI1800</target>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>W291AI</item>
            </source>
        </rule>
        <rule>
            <target>W2969Q1300</target>
            <pid>W2969Q1300</pid>
            <method>starts_with</method>
            <feature>0x1050</feature>
            <source>
                <item>W2969Q</item>
            </source>
        </rule>
        <rule>
            <target>W1579X0900</target>
            <method>starts_with</method>
            <feature>0x207C</feature>
            <source>
                <item>W1579X</item>
            </source>
        </rule>
        <rule>
            <target>W1899L1200</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>W1899L</item>
            </source>
        </rule>
        <rule>
            <target>W1899Q1200</target>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>W1899Q</item>
            </source>
        </rule>
        <rule>
            <target>P2439X1300</target>
            <pid>P2439X1300</pid>
            <method>match</method>
            <feature>0x7c</feature>
            <source>
                <item>W1309K0000</item>
            </source>
        </rule>
        <rule>
            <target>W1699Z1200</target>
            <pid>W1699Z1200</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W1699Z1200</item>
            </source>
        </rule>
        <rule>
            <target>W2709X1500</target>
            <method>starts_with</method>
            <feature>0x7c</feature>
            <source>
                <item>W2709X</item>
            </source>
        </rule>
        <rule>
            <target>W295AI1500</target>
            <method>match</method>
            <feature>0x207c</feature>
            <source>
                <item>W295AI1500</item>
            </source>
        </rule>
        <rule>
            <target>W295AI1501</target>
            <method>match</method>
            <feature>0x207c</feature>
            <source>
                <item>W295AI1501</item>
            </source>
        </rule>
        <rule>
            <target>W1699L1200</target>
            <pid>W1699L1310</pid>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>W1699L131</item>
            </source>
        </rule>
        <rule>
            <target>W1699Z1300</target>
            <pid>W1699Z1300</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W1699Z1300</item>
            </source>
        </rule>
         <rule>
            <target>W1699Z1320</target>
            <pid>W1699Z1320</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W1699Z1320</item>
            </source>
        </rule>
        <rule>
            <target>W1699L1200</target>
            <pid>W1699L1320</pid>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>W1699L132</item>
            </source>
        </rule>
        <rule>
            <target>W1699L1200</target>
            <pid>W1699L1310</pid>
            <method>starts_with</method>
            <feature>0x78</feature>
            <source>
                <item>W1699L</item>
            </source>
        </rule>
        <rule>
            <target>W1699Z2700</target>
            <pid>W1699Z2700</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W1699Z2700</item>
            </source>
        </rule>
        <rule>
            <target>W2599Z2700</target>
            <pid>W2599Z2700</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W2599Z2700</item>
            </source>
        </rule>
        <rule>
            <target>W2599Z1300</target>
            <pid>W2599Z1300</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W2599Z1300</item>
            </source>
        </rule>
        <rule>
            <target>W2599Z1100</target>
            <pid>W2599Z1100</pid>
            <method>match</method>
            <feature>0x78</feature>
            <source>
                <item>W2599Z1100</item>
            </source>
        </rule>
        <rule>
            <target>W351B31300</target>
            <pid>W351B31300</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W351B31300</item>
            </source>
        </rule>
        <rule>
            <target>W351B32900</target>
            <pid>W351B32900</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W351B32900</item>
            </source>
        </rule>
        <rule>
            <target>W359B12700</target>
            <pid>W359B12700</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W359B12700</item>
            </source>
        </rule>
        <rule>
            <target>W359B11300</target>
            <pid>W359B11300</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W359B11300</item>
            </source>
        </rule>
        <rule>
            <target>W338B11300</target>
            <pid>W338B11300</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W338B11300</item>
            </source>
        </rule>
        <rule>
            <target>W338B11100</target>
            <pid>W338B11100</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W338B11100</item>
            </source>
        </rule>
        <rule>
            <target>W338B21300</target>
            <pid>W338B21300</pid>
            <method>match</method>
            <feature>0x2078</feature>
            <source>
                <item>W338B21300</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>Y_Series</series_target>
        <rule>
            <target>Y163792500</target>
            <pid>Y163792500</pid>
            <method>starts_with</method>
            <feature>0x50</feature>
            <source>
                <item>Y16379</item>
            </source>
        </rule>
        <rule>
            <target>Y377BA1100</target>
            <pid>Y377BA1100</pid>
            <method>match</method>
            <feature>0x50</feature>
            <source>
                <item>Y377BA1100</item>
            </source>
        </rule>
        <rule>
            <target>Y377BA1100</target>
            <pid>Y377BA1120</pid>
            <method>match</method>
            <feature>0x50</feature>
            <source>
                <item>Y377BA1120</item>
            </source>
        </rule>
        <rule>
            <target>Y377B92720</target>
            <pid>Y377B92720</pid>
            <method>match</method>
            <feature>0x50</feature>
            <source>
                <item>Y377B92720</item>
            </source>
        </rule>
        <rule>
            <target>Y377C12700</target>
            <pid>Y377C12700</pid>
            <method>match</method>
            <feature>0x50</feature>
            <source>
                <item>Y377C12700</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>G_Series</series_target>
        <rule>
            <target>G275B01300</target>
            <method>match</method>
            <feature>0x450</feature>
            <source>
                <item>G275B01300</item>
            </source>
        </rule>
        <rule>
            <target>G275B02900</target>
            <method>match</method>
            <feature>0x450</feature>
            <source>
                <item>G275B02900</item>
            </source>
        </rule>
        <rule>
            <target>G328B01300</target>
            <method>match</method>
            <feature>0x450</feature>
            <source>
                <item>G328B01300</item>
            </source>
        </rule>
        <rule>
            <target>G328B02900</target>
            <method>match</method>
            <feature>0x450</feature>
            <source>
                <item>G328B02900</item>
            </source>
        </rule>
        <rule>
            <target>G2409M1100</target>
            <pid>G2409M2700</pid>
            <method>starts_with</method>
            <feature>0x90</feature>
            <source>
                <item>G2409M</item>
            </source>
        </rule>
        <rule>
            <target>G240A71100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>G240A7</item>
            </source>
        </rule>
        <rule>
            <target>G1929M2700</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>G1929M</item>
            </source>
        </rule>
        <rule>
            <target>G1929N1300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>G1929N</item>
            </source>
        </rule>
        <rule>
            <target>G1949M1100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>G1949M</item>
            </source>
        </rule>
        <rule>
            <target>G1949B1100</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>G1949B</item>
            </source>
        </rule>
    </series>
    <series>
        <series_target>Others</series_target>
        <rule>
            <target>P1679R1300</target>
            <pid>P1679R0900</pid>
            <method>match</method>
            <feature>0x74</feature>
            <inspect_mask>0xB8</inspect_mask>
            <source>
                <item>dummy</item>
            </source>
        </rule>
        <rule>
            <target>EMLY591600</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>EMLY590800</item>
                <item>EMLY591000</item>
                <item>EMLY601600</item>
                <item>EMLY600800</item>
                <item>EMLY611000</item>
                <item>EMLY591300</item>
                <item>EMLY661300</item>
                <item>EMLY601601</item>
                <item>EMLY600801</item>
                <item>EMLY591010</item>
                <item>EMLY591001</item>
            </source>
        </rule>
        <rule>
            <target>ALPS491600</target>
            <pid>ALPS491600</pid>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>ALPS491000</item>
            </source>
        </rule>
        <rule>
            <target>EMLY620800</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>EMLY621600</item>
            </source>
        </rule>
        <rule>
            <target>HIMA620800</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>HIMA621600</item>
            </source>
        </rule>
        <rule>
            <target>HULK772700</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>HULK77</item>
            </source>
        </rule>
        <rule>
            <target>HULK691300</target>
            <method>starts_with</method>
            <feature>0x70</feature>
            <source>
                <item>HULK69</item>
            </source>
        </rule>
        <rule>
            <target>JHSN591300</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>JACK591300</item>
            </source>
        </rule>
        <rule>
            <target>JHSN691300</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>JHSN690000</item>
            </source>
        </rule>
        <rule>
            <target>JACK691300</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>JACK690000</item>
            </source>
        </rule>
        <rule>
            <target>JHSN771100</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>JHSN771400</item>
            </source>
        </rule>
        <rule>
            <target>JACK771100</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>JACK771400</item>
            </source>
        </rule>
        <rule>
            <target>HARY771100</target>
            <method>match</method>
            <feature>0x70</feature>
            <source>
                <item>HARY771300</item>
                <item>HARY771700</item>
            </source>
        </rule>
        <rule>
            <target>KANAA41300</target>
            <method>starts_with</method>
            <feature>0x7c</feature>
            <source>
                <item>KANAA4</item>
            </source>
        </rule>
        <rule>
            <target>default</target>
            <pid>default</pid>
            <method>match</method>
            <feature>0x7c</feature>
            <source>
                <item>default</item>
            </source>
        </rule>
    </series>
</match_rules>
